Dialogs for administration tasks.

### Hierarchy

- AdminDialog
  - AdminDialog
    - AdminDialog

## Index

### Methods

- deployPackageCommand
- rebuildIndexCommand
- refreshAdminToken
- setup
- undeployPackageCommand

## Methods

### Static deployPackageCommand

- deployPackageCommand(text: string, dc: any, deployer: GBDeployer, min: GBMinInstance): Promise<void>

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:62

  #### Parameters

  - ##### text: string

  - ##### dc: any

  - ##### deployer: GBDeployer

  - ##### min: GBMinInstance

  #### Returns Promise<void>

### Static rebuildIndexCommand

- rebuildIndexCommand(min: GBMinInstance, dc: any): Promise<void>

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:81

  #### Parameters

  - ##### min: GBMinInstance

  - ##### dc: any

  #### Returns Promise<void>

### Static Private refreshAdminToken

- refreshAdminToken(min: any, dc: any): Promise<void>

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:196

  #### Parameters

  - ##### min: any

  - ##### dc: any

  #### Returns Promise<void>

### Static setup

- setup(bot: BotAdapter, min: GBMinInstance): void

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:104

  Setup dialogs flows and define services call.

  #### Parameters

  - ##### bot: BotAdapter

    The bot adapter.

  - ##### min: GBMinInstance

    The minimal bot instance data.

  #### Returns void

### Static undeployPackageCommand

- undeployPackageCommand(text: any, min: GBMinInstance, dc: any): Promise<void>

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:50

  #### Parameters

  - ##### text: any

  - ##### min: GBMinInstance

  - ##### dc: any

  #### Returns Promise<void>

Generated using TypeDoc